## ros-lunar-arbotix-msgs 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(arbotix_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(FILES
                  Analog.msg
                  Digital.msg
                 )

add_service_files(FILES
                  Enable.srv
                  Relax.srv
                  SetupChannel.srv
                  SetSpeed.srv
                 )

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== debian/changelog ===
ros-lunar-arbotix-msgs (0.10.0-0xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 14 Jul 2014 04:00:00 -0000

ros-lunar-arbotix-msgs (0.9.2-0xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 12 Feb 2014 05:00:00 -0000

ros-lunar-arbotix-msgs (0.9.1-0xenial) xenial; urgency=high

  * Added set_speed service to servo controller

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-lunar-arbotix-msgs (0.9.0-0xenial) xenial; urgency=high

  * add new enable service

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-lunar-arbotix-msgs (0.8.2-0xenial) xenial; urgency=high

  * updates to cmakelists.txt and package.xml, fixes #2 <https://github.com/vanadiumlabs/arbotix_ros/issues/2>

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 28 Mar 2013 04:00:00 -0000

ros-lunar-arbotix-msgs (0.8.1-0xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-lunar-arbotix-msgs (0.8.0-0xenial) xenial; urgency=high

  * import drivers and catkinize

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Feb 2013 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-arbotix-msgs
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://ros.org/wiki/arbotix_msgs
Standards-Version: 3.9.2

Package: ros-lunar-arbotix-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Messages and Services definitions for the ArbotiX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-arbotix-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
